import { DocumentStore, VueTextDocument } from '@vuedx/vue-virtual-textdocument';
import { TS } from './interfaces';
export declare class PluginContext {
    readonly typescript: typeof TS;
    readonly store: DocumentStore<VueTextDocument>;
    private _projectService;
    private _serverHost;
    constructor(typescript: typeof TS);
    get serviceHost(): TS.server.ServerHost;
    get projectService(): TS.server.ProjectService;
    log(message: string): void;
    error(message: Error): void;
    getSupportedVirtualDocumentFileNames(document: VueTextDocument): any[];
    private watchers;
    watchVirtualFile(fileName: string, callback: TS.FileWatcherCallback): void;
    triggerVirtualFileWatchers(fileName: string, event: TS.FileWatcherEventKind): void;
    stopVirtualFileWatcher(fileName: string, callback: TS.FileWatcherCallback): void;
    tryCreateScriptInfo(fileName: string): void;
    load(info: TS.server.PluginCreateInfo): void;
}
